#delimit;
capture log close;
capture drop _all;
capture label drop _all;

log using "..\logfiles\label.out", text replace;

use hh_data_f;
capture label drop _all;

label variable code_describe "Codes for hh's discussion about water issues with others";
label define code_describe 
	0 "No discussion"
	1 "About Water quality"
	2 "Steps to improve or purify water"
	3 "Survey details"
	4 "Other" 
	5 "Water sample test result" ;
label values code_describe code_describe ;

label variable new_method "Type of new method adopted";
label define new_method_lbl 
	1 "electric filter"
	2 "non electric filter"
	3 "boiling"
	4 "tablets"
	5 "straining"
	6 "bottle"
	7 "reverse Osmosis";
label values new_method new_method_lbl ;
 
label define purify_lbl 
0 "No Purification" 
1 "Straining" 
2 "Tablets/drops" 
3 "Non-electric"
4 "Electric"
5 "Boiling" 
6 "Bottled water";

*label values purify_type purify_lbl ;

label variable specify_change_storage "If water storage method changed:specify";
label define specifychange_storage_lbl 
	1 "earthen"
	2 "plastic"
	3 "other non-metal"
	4 "iron"
	5 "copper"
	6 "steel"
	7 "brass"
	8 "other metal"
	9 "no storage";
label values  specify_change_storage specifychange_storage_lbl;

label variable specify_3rd "Method used to take out water";
label define specify_3rd_lbl
	1 "tap"
	2 "pour directly"
	3 "handle mug"
	4 "utensil without handle";
label values  specify_3rd  specify_3rd_lbl;

label variable future_kind_change "Future adoption methods";
label define future_kind_change_lbl
	1 "electric filter"
	2 "non electric filter"
	3 "boiling"
	4 "tablets"
	5 "straining"
	6 "bottle"
	7 "RO"
	8 "Changed water source";
label values future_kind_change future_kind_change_lbl;

label variable willingness_pay "Willingness to pay for new method in future";
label define willingness_pay_lbl
	1 "any amount";
label values willingness_pay willingness_pay_lbl;

label variable infection_1 "Diarrhea is due to infection";
label variable water_1 "Diarrhea is due to dirty water";
label variable food_1 "Diarrhea is due to dirty food";
label variable dirty_hands_1 "Diarrhea is due to dirty_hands";
label variable dirty_environ_1  "Diarrhea is due to dirty environment like bad
	sanitation, drainage problems,etc";

label variable water_2 "Infection is due to water";
label variable food_2 "Infection is due to consumption of unclean food";
label variable hand_2 "Infection is due to dirty hands";

label variable  purify_water_3  "Way to prevent  diarrhea is to purify water";
label variable  cook_food_3  "Way to prevent  diarrhea is to cook food";
label variable  wash_hand_3  "Way to prevent  diarrhea is to wash hands";
label variable  clean_food_3  "Way to prevent  diarrhea is to clean food";

label variable pro_clean_water_4 "Govt should provide clean water";
label variable  sanitation_4 "Govt should provide proper  sanitation";
label variable  garbage_4 "Govt should clean garbage";
label variable  drain_4 "Govt should proper drainage";
label variable  awarness_4 "Govt should awarness progammes";

label variable   school_5 "Know about diarrhea from education";
label variable   family_5 "Know about diarrhea from family";
label variable   neighbors_5 "Know about diarrhea from neighbors";
label variable   tv_5 "Know about diarrhea from tv";
label variable  books_5  "Know about diarrhea from books";

label variable ors "ORS recognition";
label define ors_lbl
	1 "know about ORS without seeing the packet"
	2 "know about ORS after seeing the packet"
	0 "don't know about ORS";
label values  ors  ors_lbl;

label variable amt_water "Amount of water to be given to the patient sufferring from diarrhea";
label define  amt_water_lbl
	1 "less amount"
	2 "same amt"
	3 "more water"
	999 "dont know";
label values amt_water amt_water_lbl;

label variable treat "Whether diarrhea patient was treated or not";
label define treat_lbl
	1 "yes"
	0 "no";
label values  treat  treat_lbl;

label variable straining "strain water when someone has diarrhea";
label variable boiling "boil water when someone has diarrhea";
label variable tablets_drops "use tablets/drops in water when someone has diarrhea";
label variable nonelectric_filter "use non-electric filter when someone has diarrhea";
label variable electric_filter "use electric filter when someone has diarrhea";
label variable bottled_water "use bottled water when someone has diarrhea";

label variable conspt_muni_pipea "Amount of water supply in winter from municipal pipes";
label define conspt_muni_pipea_lbl
	1 "Municipality pipe water supplies full amount in winter"
	2 "Municipality pipe water supplies almost half the amount of water demand in winter"
	3 "Municipality pipe water supplies very little water in winter";
label values conspt_muni_pipea conspt_muni_pipea_lbl;

label variable conspt_muni_pipeb "Amount of water supply in summer from municipal pipes";
label define conspt_muni_pipeb_lbl
	1 "Municipality pipe water supplies full amount in summer"
	2 "Municipality pipe water supplies almost half the amount of water demand in summer"
	3 "Municipality pipe water supplies very little water in summer";
label values conspt_muni_pipeb conspt_muni_pipeb_lbl;

label variable conspt_muni_pipec "Amount of water supply in monsoon from municipal pipes";
label define conspt_muni_pipec_lbl
	1 "Municipality pipe water supplies full amount in monsoon"
	2 "Municipality pipe water supplies almost half the amount of water demand in monsoon"
	3 "Municipality pipe water supplies very little water in monsoon";
label values  conspt_muni_pipeb conspt_muni_pipec_lbl;

label variable conspttwella "Amount of water supply in winter from tubewell";
label define conspttwella_lbl
	1 "Full supply from  tubewell water in winter"
	2 "Almost half supply from tubewell water in winter"
 	3 "Less supply tubewell water in winter";
label values conspttwella conspttwella_lbl;

label variable conspttwellb "Amount of water supply in summer from tubewell";
label define conspttwellb_lbl
	1 "Full supply from tubewell  water in summer"
	2 "Almost half supply from tubewell water in summer"
	3 "Less supply tubewell water in summer";
label values conspttwellb conspttwellb_lbl;

label variable conspttwellc "Amount of water supply in monsoon from tubewell";
label define conspttwellc_lbl
	1 "Full supply from tubewell water in monsoon"
	2 "Almost half supply from tubewell water in monsoon"
	3 "Less supply tubewell water in monsoon";
label values conspttwellc conspttwellac_lbl;

label variable consptpumpa "Amount of water supply in winter from hand-pump";
label define consptpumpa_lbl
 	1 "Full supply from pump water in winter"
	2 "Almost half supply from pump water in winter"
 	3 "Less supply pump water in winter";
label values consptpumpa consptpumpa_lbl;

label variable consptpumpb "Amount of water supply in summer from hand-pump";
label define consptpumpb_lbl
	1 "Full supply from pump water in summer"
	2 "Almost half supply from pump water in summer"
	3 "Less supply pump water in summer";
label values consptpumpb consptpumpb_lbl;

label variable consptpumpc "Amount of water supply in monsoon from hand-pump";
label define consptpumpc_lbl
	1 "Full supply from pump water in monsoon"
	2 "Almost half supply from pump water in monsoon"
	3 "Less supply pump water in monsoon";
label values  consptpumpc conspttwellac_lbl;


label variable conspttanka "Amount of water supply in winter from water-tanker";
label define conspttanka_lbl
	1 "Full supply from tanker water in winter"
	2 "Almost half supply from tanker water in winter"
	3 "Less supply tanker  water in winter";
label values  conspttanka  conspttanka_lbl;

label variable conspttankb "Amount of water supply in summer from water-tanker";
label define conspttankb_lbl
	1 "Full supply from tanker  water in summer"
	2 "Almost half supply from tanker water in summer"
	3 "Less supply tanker  water in summer";
label values  conspttankb conspttankb_lbl;

label variable conspttankc "Amount of water supply in monsoon from water-tanker";
label define conspttankc_lbl
	1 "Full supply from tanker water in monsoon"
	2 "Almost half supply from tanker water in monsoon"
	3 "Less supply tanker water in monsoon in little amt";
label values  conspttankc conspttankc_lbl;

label variable consptbottlea "Amount of water supply in winter from bottled water";
label define consptbottlea_lbl
	1 "Full supply from bottled water in winter"
	2 "Almost half supply from bottled water in winter"
	3 "Less supply bottled water in winter in little amt";
label values  consptbottlea consptbottlea_lbl;

label variable consptbottleb "Amount of water supply in summer from bottled water";
label define consptbottleb_lbl
	1 "Full supply from bottled  water in summer"
	2 "Almost half supply from bottled water in summer"
	3 "Less supply bottled water in summer";
label values  consptbottleb consptbottleb_lbl;

label variable consptbottlec "Amount of water supply in monsoon from bottled water";
label define consptbottlec_lbl
	1 "Full supply from bottled water in monsoon"
	2 "Almost half supply from bottled water in monsoon"
	3 "Less supply bottled water in monsoon";
label values  consptbottlec  consptbottlec_lbl;


label variable consptothersa "Amount of water supply in winter from other sources";
label define consptothersa_lbl
	1 "Full supply from other water in winter"
	2 "Almost half supply from other   water in winter"
	3 "Less supply other water in winter";
label values  consptothersa  consptothersa_lbl;

label variable consptothersb "Amount of water supply in summer from other sources";
label define consptothersb_lbl
	1 "Full supply from other water sources in summer"
	2 "Almost half supply from other water sources in summer"
	3 "Less supply other water in summer";
label values  consptothersb consptothersb_lbl;

label variable consptothersc "Amount of water supply in monsoon from other sources";
label define consptothersc_lbl
	1 "Full supply from other water in monsoon"
	2 "Almost half supply from other water in monsoon"
	3 "Less supply other water in monsoon";
label values  consptothersc  consptothersc_lbl;

label variable dist_tube_well "Distance to tubewell";
label define dist_tube_well_lbl
	1 " within the house"
	2 " within the boundaries of the house"
	3 " outside the boundaries but within 0.2 km"
	4 " outside the boundaries but within 0.2to 0.5 km"
	5 " outside the boundaries but within 0.5 to 1 km"
	6 " outside the boundaries but more than 1 km";
label values  dist_tube_well  dist_tube_well_lbl;

label variable pay_pipe "Whether have to pay for piped water";
label define pay_pipe_lbl
	1 "yes we have to pay for pipe water"
	0 "no we have to pay for pipe water"
	999 "dont know whether have to pay or not";
label values  pay_pipe  pay_pipe_lbl;

label variable paymnt_pipe " amt of money have to pay for pipe water";

label variable qly_pipea "Quality of piped water in winter";
label define qly_pipea_lbl
	1 "good quality of piped water in winter"
	0 "bad quality of piped water in winter"
	999 "they do not know the quality of pipe water in winter ";
label values  qly_pipea qly_pipea_lbl;

label variable qly_pipeb "Quality of piped water in summer";
label define qly_pipeb_lbl
	1 "good quality of piped water in summer"
	0 "bad quality of piped water in summer"
	999 "they do not know the quality of pipe water summers ";
label values  qly_pipeb qly_pipeb_lbl;

label variable qly_pipec "Quality of piped water in monsoon";
label define qly_pipec_lbl
	1 "good quality of piped water in monsoon"
	0 "bad quality of piped water in monsoon "
	999 "they do not know the quality of pipe water in monsoon ";
label values  qly_pipec qly_pipec_lbl;

label variable qly_tubea "Quality of tubewell water in winter";
label define qly_tubea_lbl
	1 "good quality of tubewell water in winter"
	0 "bad quality of tubewell water in winter "
	999 "they don't know the quality of tubewell water in winter ";
label values  qly_tubea qly_tubea_lbl;

label variable qly_tubeb "Quality of tubewell water in summer";
label define qly_tubeb_lbl
	1 "good quality of tubewell water in summer"
	0 "bad quality of tubewell water in summer"
	999 "they dont know the quality of tubewell water summer";
label values  qly_tubeb qly_tubeb_lbl;

label variable qly_tubec "Quality of tubewell water in monsoon";
label define qly_tubec_lbl
	1 "good quality of tubewell water in monsoon"
	0 "bad quality of tubewell water in monsoon "
	999 "they dont know the quality of tubewell water in monsoon ";
label values  qly_tubec qly_tubec_lbl;

label variable qly_pumpa "Quality of pumped water in winter";
label define qly_pumpa_lbl
	1 "good quality of pumped water in winter"
	0 "bad quality of pumped water in winter "
	999 "they dont know the quality of pumped water in winter ";
label values  qly_pumpa qly_pumpa_lbl;

label variable qly_pumpb "Quality of pumped water in summer";
label define qly_pumpb_lbl
	1 "good quality of pumped water in summer"
	0 "bad quality of pumped water in summer"
	999 "they dont know the quality of pumped water summer";
label values  qly_pumpb qly_pumpb_lbl;

label variable qly_pumpc "Quality of pumped water in monsoon";
label define qly_pumpc_lbl
	1 "good quality of pumped water in monsoon"
	0 "bad quality of pumped water in monsoon"
	999 "they dont know the quality of pumped water in monsoon";
label values  qly_pumpc qly_pumpc_lbl;

label variable qly_tanka "Quality of tank water in winter";
label define qly_tanka_lbl
	1 "good quality of tank water in winter"
	0 "bad quality of tank water in winter"
	999 "they dont know the quality of tank water in winter";
label values  qly_tanka qly_tanka_lbl;

label variable qly_tankb "Quality of tank water in summer";
label define qly_tankb_lbl
	1 "good quality of tank water in summer"
	0 "bad quality of tank water in summer"
	999 "they dont know the quality of tank water summer";
label values  qly_tankb qly_tankb_lbl;

label variable qly_tankc "Quality of tank water in monsoon";
label define qly_tankc_lbl
	1 "good quality of tank water in monsoon"
	0 "bad quality of tank water in monsoon"
	999 "they dont know the quality of tank water in monsoon";
label values  qly_tankc qly_tankc_lbl;

label variable qly_bottlea "Quality of bottled water in winter";
label define qly_bottlea_lbl
	1 "good quality of bottled water in winter"
	0 "bad quality of bottled water in winter "
	999 "they dont know the quality of bottle water in winter";
label values  qly_bottlea qly_bottlea_lbl;

label variable qly_bottleb "Quality of bottled water in summer";
label define qly_bottleb_lbl
	1 "good quality of bottled water in summer"
	0 "bad quality of bottled water in summer"
	999 "they dont know the quality of bottled water summer";
label values  qly_bottleb qly_bottleb_lbl;

label variable qly_bottlec "Quality of bottled water in monsoon";
label define qly_bottlec_lbl
	1 "good quality of bottled water in monsoon"
	0 "bad quality of bottled water in monsoon "
	999 "they dont know the quality of bottled water in monsoon ";
label values  qly_bottlec qly_bottlec_lbl;

label variable qly_othersa "Quality of other sources of water in winter";
label define qly_othersa_lbl
	1 "good quality of other sources of water in winter"
	0 "bad quality of other sources of water in winter"
	999 "they dont know the quality of other sources of water in winter";
label values  qly_othersa qly_othersa_lbl;

label variable qly_othersb "Quality of other sources of water in summer";
label define qly_othersb_lbl
	1 "good quality of other sources of water in summers"
	0 "bad quality of other sources of water in summers"
	999 "they dont know the quality of other sources of water summers";
label values  qly_othersb qly_othersb_lbl;

label variable qly_othersc "Quality of other sources of water in monsoon";
label define qly_othersc_lbl
	1 "good quality of other sources of water in monsoon"
	0 "bad quality of other sources of water in monsoon "
	999 "they dont know the quality of other sources of water in monsoon ";
label values  qly_othersc qly_othersc_lbl;

label variable sufficienta "Sufficiency of water supply in winter: Yes is 1 No is 0";
*label variable sufficientb "Sufficiency of water supply in summer: Yes is 1 No is 0";
*label variable sufficientc "Sufficiency of water supply in monsoon: Yes is 1 No is 0";

label variable straina_pipe "Strain piped water in winter";
label define straina_pipe_lbl
	1 "Strain (all) pipe water in winter"
	0 "Donot Strain pipe water in winter "
	2 "Strain (some)pipe water in winter";
label values  straina_pipe straina_pipe_lbl;

label variable strainb_pipe "Strain piped water in summer";
label define strainb_pipe_lbl
	1 "they strain all the pipe water in summers"
	0 "they strain no  pipe water in summers "
 	2 "they strain some of  the pipe water in summers";
label values  strainb_pipe strainb_pipe_lbl;

label variable strainc_pipe "Strain piped water in monsoon";
label define strainc_pipe_lbl
	1 "they strain all the pipe water in monsoon"
	0 "they strain no  pipe water in monsoon "
	2 "they strain some of  the pipe water in monsoon";
label values  strainc_pipe strainc_pipe_lbl;

label variable straina_tube "Strain tube water in winter";
label define straina_tube_lbl
	1 "they strain all the tube water in winter"
	0 "they strain no tube water in winter "
	2 "they strain some of  the tube water in winter";
label values  straina_tube straina_tube_lbl;

label variable strainb_tube "Strain tube water in summer";
label define strainb_tube_lbl
	1 "they strain all the tube water in summers"
	0 "they strain no  tube water in summers "
 	2 "they strain some of  the tube water in summers";
label values  strainb_tube strainb_tube_lbl;

label variable strainc_tube "Strain tube water in monsoon";
label define strainc_tube_lbl
	1 "they strain all the tube water in monsoon"
	0 "they strain no  tube water in monsoon "
	2 "they strain some of  the tube water in monsoon";
label values  strainc_tube strainc_tube_lbl;

label variable straina_pump "Strain pump water in winter";
label define straina_pump_lbl
	1 "they strain all the pump water in winter"
	0 "they strain no pump water in winter "
	2 "they strain some of  the pump water in winter";
label values  straina_pump straina_pump_lbl;

label variable strainb_pump "Strain pump water in summer";
label define strainb_pump_lbl
	1 "they strain all the pump water in summers"
	0 "they strain no  pump water in summers "
 	2 "they strain some of  the pump water in summers";
label values  strainb_pump strainb_pump_lbl;

label variable strainc_pump "Strain pump water in monsoon";
label define strainc_pump_lbl
	1 "they strain all the pump water in monsoon"
	0 "they strain no  pump water in monsoon "
	2 "they strain some of  the pump water in monsoon";
label values  strainc_pump strainc_pump_lbl;

label variable straina_tank "Strain tank water in winter";
label define straina_tank_lbl
	1 "they strain all the tank water in winter"
	0 "they strain no tank water in winter "
	2 "they strain some of  the tank water in winter";
label values  straina_tank straina_tank_lbl;

label variable strainb_tank "Strain tank water in summer";
label define strainb_tank_lbl
	1 "they strain all the tank water in summers"
	0 "they strain no  tank water in summers "
 	2 "they strain some of  the tank water in summers";
label values  strainb_tank strainb_tank_lbl;

label variable strainc_tank "Strain tank water in monsoon";
label define strainc_tank_lbl
	1 "they strain all the tank water in monsoon"
	0 "they strain no  tank water in monsoon "
	2 "they strain some of  the tank water in monsoon";
label values  strainc_tank strainc_tank_lbl;

label variable straina_bottle "Strain bottled water in winter";
label define straina_bottle_lbl
	1 "they strain all the bottle water in winter"
	0 "they strain no bottle water in winter "
	2 "they strain some of  the bottle water in winter";
label values  straina_bottle straina_bottle_lbl;

label variable strainb_bottle "Strain bottled water in summer";
label define strainb_bottle_lbl
	1 "they strain all the bottle water in summers"
	0 "they strain no  bottle water in summers "
 	2 "they strain some of  the bottle water in summers";
label values  strainb_bottle strainb_bottle_lbl;

label variable strainc_bottle "Strain bottled water in monsoon";
label define strainc_bottle_lbl
	1 "they strain all the bottle water in monsoon"
	0 "they strain no  bottle water in monsoon "
	2 "they strain some of  the bottle water in monsoon";
label values  strainc_bottle strainc_bottle_lbl;

label variable straina_other "Strain other water in winter";
label define straina_other_lbl
	1 "they strain all the other water in winter"
	0 "they strain no other water in winter "
	2 "they strain some of  the other water in winter";
label values  straina_other straina_other_lbl;

label variable strainb_other "Strain other water in summer";
label define strainb_other_lbl
	1 "they strain all the other water in summers"
	0 "they strain no  other water in summers "
 	2 "they strain some of  the other water in summers";
label values  strainb_other strainb_other_lbl;

label variable strainc_other "Strain other water in monsoon";
label define strainc_other_lbl
	1 "they strain all the other water in monsoon"
	0 "they strain no  other water in monsoon "
	2 "they strain some of  the other water in monsoon";
label values  strainc_other strainc_other_lbl;

label variable tableta_pipe "Use tablets in piped water in winter";
label define tableta_pipe_lbl
	1 "they tablet all the pipe water in winter"
	0 "they tablet no pipe water in winter "
	2 "they tablet some of  the pipe water in winter";
label values  tableta_pipe tableta_pipe_lbl;

label variable tabletb_pipe "tablet piped water in summer";
label define tabletb_pipe_lbl
	1 "they tablet all the pipe water in summers"
	0 "they tablet no  pipe water in summers "
 	2 "they tablet some of  the pipe water in summers";
label values  tabletb_pipe tabletb_pipe_lbl;

label variable tabletc_pipe "tablet piped water in monsoon";
label define tabletc_pipe_lbl
	1 "they tablet all the pipe water in monsoon"
	0 "they tablet no  pipe water in monsoon "
	2 "they tablet some of  the pipe water in monsoon";
label values  tabletc_pipe tabletc_pipe_lbl;

label variable tableta_tube "tablet tube water in winter";
label define tableta_tube_lbl
	1 "they tablet all the tube water in winter"
	0 "they tablet no tube water in winter "
	2 "they tablet some of  the tube water in winter";
label values  tableta_tube tableta_tube_lbl;

label variable tabletb_tube "tablet tube water in summer";
label define tabletb_tube_lbl
	1 "they tablet all the tube water in summers"
	0 "they tablet no  tube water in summers "
 	2 "they tablet some of  the tube water in summers";
label values  tabletb_tube tabletb_tube_lbl;

label variable tabletc_tube "tablet tube water in monsoon";
label define tabletc_tube_lbl
	1 "they tablet all the tube water in monsoon"
	0 "they tablet no  tube water in monsoon "
	2 "they tablet some of  the tube water in monsoon";
label values  tabletc_tube tabletc_tube_lbl;

label variable tableta_pump "tablet pump water in winter";
label define tableta_pump_lbl
	1 "they tablet all the pump water in winter"
	0 "they tablet no pump water in winter "
	2 "they tablet some of  the pump water in winter";
label values  tableta_pump tableta_pump_lbl;

label variable tabletb_pump "tablet pump water in summer";
label define tabletb_pump_lbl
	1 "they tablet all the pump water in summers"
	0 "they tablet no  pump water in summers "
 	2 "they tablet some of  the pump water in summers";
label values  tabletb_pump tabletb_pump_lbl;

label variable tabletc_pump "tablet pump water in monsoon";
label define tabletc_pump_lbl
	1 "they tablet all the pump water in monsoon"
	0 "they tablet no  pump water in monsoon "
	2 "they tablet some of  the pump water in monsoon";
label values  tabletc_pump tabletc_pump_lbl;

label variable tableta_tank "tablet tank water in winter";
label define tableta_tank_lbl
	1 "they tablet all the tank water in winter"
	0 "they tablet no tank water in winter "
	2 "they tablet some of  the tank water in winter";
label values  tableta_tank tableta_tank_lbl;

label variable tabletb_tank "tablet tank water in summer";
label define tabletb_tank_lbl
	1 "they tablet all the tank water in summers"
	0 "they tablet no  tank water in summers "
 	2 "they tablet some of  the tank water in summers";
label values  tabletb_tank tabletb_tank_lbl;

label variable tabletc_tank "tablet tank water in monsoon";
label define tabletc_tank_lbl
	1 "they tablet all the tank water in monsoon"
	0 "they tablet no  tank water in monsoon "
	2 "they tablet some of  the tank water in monsoon";
label values  tabletc_tank tabletc_tank_lbl;

label variable tableta_bottle "tablet bottled water in winter";
label define tableta_bottle_lbl
	1 "they tablet all the bottle water in winter"
	0 "they tablet no bottle water in winter "
	2 "they tablet some of  the bottle water in winter";
label values  tableta_bottle tableta_bottle_lbl;

label variable tabletb_bottle "tablet bottled water in summer";
label define tabletb_bottle_lbl
	1 "they tablet all the bottle water in summers"
	0 "they tablet no  bottle water in summers "
 	2 "they tablet some of  the bottle water in summers";
label values  tabletb_bottle tabletb_bottle_lbl;

label variable tabletc_bottle "tablet bottled water in monsoon";
label define tabletc_bottle_lbl
	1 "they tablet all the bottle water in monsoon"
	0 "they tablet no  bottle water in monsoon "
	2 "they tablet some of  the bottle water in monsoon";
label values  tabletc_bottle tabletc_bottle_lbl;

label variable tableta_others "tablet other water in winter";
label define tableta_other_lbl
	1 "they tablet all the other water in winter"
	0 "they tablet no other water in winter "
	2 "they tablet some of  the other water in winter";
label values  tableta_others tableta_other_lbl;

/*label variable tabletb_other "tablet other water in summer";
label define tabletb_other_lbl
	1 "they tablet all the other water in summers"
	0 "they tablet no  other water in summers "
 	2 "they tablet some of  the other water in summers";
label values  tabletb_other tabletb_other_lbl;

label variable tabletc_other "tablet other water in monsoon";
label define tabletc_other_lbl
	1 "they tablet all the other water in monsoon"
	0 "they tablet no  other water in monsoon "
	2 "they tablet some of  the other water in monsoon";
label values  tabletc_other tabletc_other_lbl;*/

label variable nnelecta_pipe "nnelect piped water in winter";
label define nnelecta_pipe_lbl
	1 "they nnelect all the pipe water in winter"
	0 "they nnelect no pipe water in winter "
	2 "they nnelect some of  the pipe water in winter";
label values  nnelecta_pipe nnelecta_pipe_lbl;

label variable nnelectb_pipe "nnelect piped water in summer";
label define nnelectb_pipe_lbl
	1 "they nnelect all the pipe water in summers"
	0 "they nnelect no  pipe water in summers "
 	2 "they nnelect some of  the pipe water in summers";
label values  nnelectb_pipe nnelectb_pipe_lbl;

label variable nnelectc_pipe "nnelect piped water in monsoon";
label define nnelectc_pipe_lbl
	1 "they nnelect all the pipe water in monsoon"
	0 "they nnelect no  pipe water in monsoon "
	2 "they nnelect some of  the pipe water in monsoon";
label values  nnelectc_pipe nnelectc_pipe_lbl;

label variable nnelecta_tube "nnelect tube water in winter";
label define nnelecta_tube_lbl
	1 "they nnelect all the tube water in winter"
	0 "they nnelect no tube water in winter "
	2 "they nnelect some of  the tube water in winter";
label values  nnelecta_tube nnelecta_tube_lbl;

label variable nnelectb_tube "nnelect tube water in summer";
label define nnelectb_tube_lbl
	1 "they nnelect all the tube water in summers"
	0 "they nnelect no  tube water in summers "
 	2 "they nnelect some of  the tube water in summers";
label values  nnelectb_tube nnelectb_tube_lbl;

label variable nnelectc_tube "nnelect tube water in monsoon";
label define nnelectc_tube_lbl
	1 "they nnelect all the tube water in monsoon"
	0 "they nnelect no  tube water in monsoon "
	2 "they nnelect some of  the tube water in monsoon";
label values  nnelectc_tube nnelectc_tube_lbl;

label variable nnelecta_pump "nnelect pump water in winter";
label define nnelecta_pump_lbl
	1 "they nnelect all the pump water in winter"
	0 "they nnelect no pump water in winter "
	2 "they nnelect some of  the pump water in winter";
label values  nnelecta_pump nnelecta_pump_lbl;

label variable nnelectb_pump "nnelect pump water in summer";
label define nnelectb_pump_lbl
	1 "they nnelect all the pump water in summers"
	0 "they nnelect no  pump water in summers "
 	2 "they nnelect some of  the pump water in summers";
label values  nnelectb_pump nnelectb_pump_lbl;

label variable nnelectc_pump "nnelect pump water in monsoon";
label define nnelectc_pump_lbl
	1 "they nnelect all the pump water in monsoon"
	0 "they nnelect no  pump water in monsoon "
	2 "they nnelect some of  the pump water in monsoon";
label values  nnelectc_pump nnelectc_pump_lbl;

label variable nnelecta_tank "nnelect tank water in winter";
label define nnelecta_tank_lbl
	1 "they nnelect all the tank water in winter"
	0 "they nnelect no tank water in winter "
	2 "they nnelect some of  the tank water in winter";
label values  nnelecta_tank nnelecta_tank_lbl;

label variable nnelectb_tank "nnelect tank water in summer";
label define nnelectb_tank_lbl
	1 "they nnelect all the tank water in summers"
	0 "they nnelect no  tank water in summers "
 	2 "they nnelect some of  the tank water in summers";
label values  nnelectb_tank nnelectb_tank_lbl;

label variable nnelectc_tank "nnelect tank water in monsoon";
label define nnelectc_tank_lbl
	1 "they nnelect all the tank water in monsoon"
	0 "they nnelect no  tank water in monsoon "
	2 "they nnelect some of  the tank water in monsoon";
label values  nnelectc_tank nnelectc_tank_lbl;

label variable nnelecta_bottle "nnelect bottled water in winter";
label define nnelecta_bottle_lbl
	1 "they nnelect all the bottle water in winter"
	0 "they nnelect no bottle water in winter "
	2 "they nnelect some of  the bottle water in winter";
label values  nnelecta_bottle nnelecta_bottle_lbl;

label variable nnelectb_bottle "nnelect bottled water in summer";
label define nnelectb_bottle_lbl
	1 "they nnelect all the bottle water in summers"
	0 "they nnelect no  bottle water in summers "
 	2 "they nnelect some of  the bottle water in summers";
label values  nnelectb_bottle nnelectb_bottle_lbl;

label variable nnelectc_bottle "nnelect bottled water in monsoon";
label define nnelectc_bottle_lbl
	1 "they nnelect all the bottle water in monsoon"
	0 "they nnelect no  bottle water in monsoon "
	2 "they nnelect some of  the bottle water in monsoon";
label values  nnelectc_bottle nnelectc_bottle_lbl;

label variable nnelecta_other "nnelect other water in winter";
label define nnelecta_other_lbl
	1 "they nnelect all the other water in winter"
	0 "they nnelect no other water in winter "
	2 "they nnelect some of  the other water in winter";
label values  nnelecta_other nnelecta_other_lbl;

label variable nnelectb_other "nnelect other water in summer";
label define nnelectb_other_lbl
	1 "they nnelect all the other water in summers"
	0 "they nnelect no  other water in summers "
 	2 "they nnelect some of  the other water in summers";
label values  nnelectb_other nnelectb_other_lbl;

label variable nnelectc_other "nnelect other water in monsoon";
label define nnelectc_other_lbl
	1 "they nnelect all the other water in monsoon"
	0 "they nnelect no  other water in monsoon "
	2 "they nnelect some of  the other water in monsoon";
label values  nnelectc_other nnelectc_other_lbl;

label variable electa_pipe "elect piped water in winter";
label define electa_pipe_lbl
	1 "they elect all the pipe water in winter"
	0 "they elect no pipe water in winter "
	2 "they elect some of  the pipe water in winter";
label values  electa_pipe electa_pipe_lbl;

label variable electb_pipe "elect piped water in summer";
label define electb_pipe_lbl
	1 "they elect all the pipe water in summers"
	0 "they elect no  pipe water in summers "
 	2 "they elect some of  the pipe water in summers";
label values  electb_pipe electb_pipe_lbl;

label variable electc_pipe "elect piped water in monsoon";
label define electc_pipe_lbl
	1 "they elect all the pipe water in monsoon"
	0 "they elect no  pipe water in monsoon "
	2 "they elect some of  the pipe water in monsoon";
label values  electc_pipe electc_pipe_lbl;

label variable electa_tube "elect tube water in winter";
label define electa_tube_lbl
	1 "they elect all the tube water in winter"
	0 "they elect no tube water in winter "
	2 "they elect some of  the tube water in winter";
label values  electa_tube electa_tube_lbl;

label variable electb_tube "elect tube water in summer";
label define electb_tube_lbl
	1 "they elect all the tube water in summers"
	0 "they elect no  tube water in summers "
 	2 "they elect some of  the tube water in summers";
label values  electb_tube electb_tube_lbl;

label variable electc_tube "elect tube water in monsoon";
label define electc_tube_lbl
	1 "they elect all the tube water in monsoon"
	0 "they elect no  tube water in monsoon "
	2 "they elect some of  the tube water in monsoon";
label values  electc_tube electc_tube_lbl;

label variable electa_pump "elect pump water in winter";
label define electa_pump_lbl
	1 "they elect all the pump water in winter"
	0 "they elect no pump water in winter "
	2 "they elect some of  the pump water in winter";
label values  electa_pump electa_pump_lbl;

label variable electb_pump "elect pump water in summer";
label define electb_pump_lbl
	1 "they elect all the pump water in summers"
	0 "they elect no  pump water in summers "
 	2 "they elect some of  the pump water in summers";
label values  electb_pump electb_pump_lbl;

label variable electc_pump "elect pump water in monsoon";
label define electc_pump_lbl
	1 "they elect all the pump water in monsoon"
	0 "they elect no  pump water in monsoon "
	2 "they elect some of  the pump water in monsoon";
label values  electc_pump electc_pump_lbl;

label variable electa_tank "elect tank water in winter";
label define electa_tank_lbl
	1 "they elect all the tank water in winter"
	0 "they elect no tank water in winter "
	2 "they elect some of  the tank water in winter";
label values  electa_tank electa_tank_lbl;

label variable electb_tank "elect tank water in summer";
label define electb_tank_lbl
	1 "they elect all the tank water in summers"
	0 "they elect no  tank water in summers "
 	2 "they elect some of  the tank water in summers";
label values  electb_tank electb_tank_lbl;

label variable electc_tank "elect tank water in monsoon";
label define electc_tank_lbl
	1 "they elect all the tank water in monsoon"
	0 "they elect no  tank water in monsoon "
	2 "they elect some of  the tank water in monsoon";
label values  electc_tank electc_tank_lbl;

label variable electa_bottle "elect bottled water in winter";
label define electa_bottle_lbl
	1 "they elect all the bottle water in winter"
	0 "they elect no bottle water in winter "
	2 "they elect some of  the bottle water in winter";
label values  electa_bottle electa_bottle_lbl;

label variable electb_bottle "elect bottled water in summer";
label define electb_bottle_lbl
	1 "they elect all the bottle water in summers"
	0 "they elect no  bottle water in summers "
 	2 "they elect some of  the bottle water in summers";
label values  electb_bottle electb_bottle_lbl;

label variable electc_bottle "elect bottled water in monsoon";
label define electc_bottle_lbl
	1 "they elect all the bottle water in monsoon"
	0 "they elect no  bottle water in monsoon "
	2 "they elect some of  the bottle water in monsoon";
label values  electc_bottle electc_bottle_lbl;

label variable electa_other "elect other water in winter";
label define electa_other_lbl
	1 "they elect all the other water in winter"
	0 "they elect no other water in winter "
	2 "they elect some of  the other water in winter";
label values  electa_other electa_other_lbl;

label variable electb_other "elect other water in summer";
label define electb_other_lbl
	1 "they elect all the other water in summers"
	0 "they elect no  other water in summers "
 	2 "they elect some of  the other water in summers";
label values  electb_other electb_other_lbl;

label variable electc_other "elect other water in monsoon";
label define electc_other_lbl
	1 "they elect all the other water in monsoon"
	0 "they elect no  other water in monsoon "
	2 "they elect some of  the other water in monsoon";
label values  electc_other electc_other_lbl;

label variable boila_pipe "boil piped water in winter";
label define boila_pipe_lbl
	1 "they boil all the pipe water in winter"
	0 "they boil no pipe water in winter "
	2 "they boil some of  the pipe water in winter";
label values  boila_pipe boila_pipe_lbl;

label variable boilb_pipe "boil piped water in summer";
label define boilb_pipe_lbl
	1 "they boil all the pipe water in summers"
	0 "they boil no  pipe water in summers "
 	2 "they boil some of  the pipe water in summers";
label values  boilb_pipe boilb_pipe_lbl;

label variable boilc_pipe "boil piped water in monsoon";
label define boilc_pipe_lbl
	1 "they boil all the pipe water in monsoon"
	0 "they boil no  pipe water in monsoon "
	2 "they boil some of  the pipe water in monsoon";
label values  boilc_pipe boilc_pipe_lbl;

label variable boila_tube "boil tube water in winter";
label define boila_tube_lbl
	1 "they boil all the tube water in winter"
	0 "they boil no tube water in winter "
	2 "they boil some of  the tube water in winter";
label values  boila_tube boila_tube_lbl;

label variable boilb_tube "boil tube water in summer";
label define boilb_tube_lbl
	1 "they boil all the tube water in summers"
	0 "they boil no  tube water in summers "
 	2 "they boil some of  the tube water in summers";
label values  boilb_tube boilb_tube_lbl;

label variable boilc_tube "boil tube water in monsoon";
label define boilc_tube_lbl
	1 "they boil all the tube water in monsoon"
	0 "they boil no  tube water in monsoon "
	2 "they boil some of  the tube water in monsoon";
label values  boilc_tube boilc_tube_lbl;

label variable boila_pump "boil pump water in winter";
label define boila_pump_lbl
	1 "they boil all the pump water in winter"
	0 "they boil no pump water in winter "
	2 "they boil some of  the pump water in winter";
label values  boila_pump boila_pump_lbl;

label variable boilb_pump "boil pump water in summer";
label define boilb_pump_lbl
	1 "they boil all the pump water in summers"
	0 "they boil no  pump water in summers "
 	2 "they boil some of  the pump water in summers";
label values  boilb_pump boilb_pump_lbl;

label variable boilc_pump "boil pump water in monsoon";
label define boilc_pump_lbl
	1 "they boil all the pump water in monsoon"
	0 "they boil no  pump water in monsoon "
	2 "they boil some of  the pump water in monsoon";
label values  boilc_pump boilc_pump_lbl;

label variable boila_tank "boil tank water in winter";
label define boila_tank_lbl
	1 "they boil all the tank water in winter"
	0 "they boil no tank water in winter "
	2 "they boil some of  the tank water in winter";
label values  boila_tank boila_tank_lbl;

label variable boilb_tank "boil tank water in summer";
label define boilb_tank_lbl
	1 "they boil all the tank water in summers"
	0 "they boil no  tank water in summers "
 	2 "they boil some of  the tank water in summers";
label values  boilb_tank boilb_tank_lbl;

label variable boilc_tank "boil tank water in monsoon";
label define boilc_tank_lbl
	1 "they boil all the tank water in monsoon"
	0 "they boil no  tank water in monsoon "
	2 "they boil some of  the tank water in monsoon";
label values  boilc_tank boilc_tank_lbl;

label variable boila_bottle "boil bottled water in winter";
label define boila_bottle_lbl
	1 "they boil all the bottle water in winter"
	0 "they boil no bottle water in winter "
	2 "they boil some of  the bottle water in winter";
label values  boila_bottle boila_bottle_lbl;

label variable boilb_bottle "boil bottled water in summer";
label define boilb_bottle_lbl
	1 "they boil all the bottle water in summers"
	0 "they boil no  bottle water in summers "
 	2 "they boil some of  the bottle water in summers";
label values  boilb_bottle boilb_bottle_lbl;

label variable boilc_bottle "boil bottled water in monsoon";
label define boilc_bottle_lbl
	1 "they boil all the bottle water in monsoon"
	0 "they boil no  bottle water in monsoon "
	2 "they boil some of  the bottle water in monsoon";
label values  boilc_bottle boilc_bottle_lbl;

label variable boila_other "boil other water in winter";
label define boila_other_lbl
	1 "they boil all the other water in winter"
	0 "they boil no other water in winter "
	2 "they boil some of  the other water in winter";
label values  boila_other boila_other_lbl;

label variable boilb_other "boil other water in summer";
label define boilb_other_lbl
	1 "they boil all the other water in summers"
	0 "they boil no  other water in summers "
 	2 "they boil some of  the other water in summers";
label values  boilb_other boilb_other_lbl;

label variable boilc_other "boil other water in monsoon";
label define boilc_other_lbl
	1 "they boil all the other water in monsoon"
	0 "they boil no  other water in monsoon "
	2 "they boil some of  the other water in monsoon";
label values  boilc_other boilc_other_lbl;

label variable name_tablet "name of the tablet";
label variable  qty_tablet "quanity of tablet used";
label variable costtablet "cost of the tablet";
label variable size_bottle_ml "size  of the bottle of drops";

label variable name_nnelect_filter "name of the non electric filter";
label variable year_purchase "year of purchase of the non electric filter";
label variable fixed_nnelec "fixed cost of the non electric filter";
label variable vari_nnelec "variable cost of the non electric filter";

label variable  name_elect "name of the  electric filter";
label variable year_elec_filter "year of purchase of the  electric filter";
label variable fixed_elec "fixed cost of the  electric filter";
label variable vari_elec "variable cost of the  electric filter";


label variable  ro_name "name of the  RO filter";
label variable ro_year "year of purchase of the  RO filter";
label variable ro_fixed "fixed cost of the  RO filter";
label variable ro_vari "variable cost of the  RO filter";

label variable fuel "Fuel used";
label variable timeboil "Time in minutes taken to boil water";
label variable earthen "Water storage container: earthen";
label variable plastic "Water storage container: plastic";
label variable othernonmetal "Water storage container: othernonmetal";
label variable iron "Water storage container: iron";
label variable steel "Water storage container: steel"; 
label variable copper "Water storage container: copper";
label variable brass "Water storage container: brass";
label variable othermetal "Water storage container: othermetal";
label variable nostorage "Water not stored";
label variable water_taken1 "Taken out by tap";
label variable water_taken2 "Poured directly";
label variable water_taken3 "Mug with handle";
label variable water_taken4 "Mug without handle";
label variable refriegerator "Possess refrigerator";
label variable television "Possess TV";
label variable radio "Possess radio";
label variable computer "Possess computer";
label variable phone "Possess phone";
label variable washing_machine "Possess washing machine";
label variable bicycle "Possess bicycle";
label variable _2_wheeler  "Possess 2-wheeler";
label variable _4_wheeler "Possess 3-wheeler";
label variable house_poss "Possess house";
label variable land_poss "Possess land";

label variable hh_religion "Religion of household head";
label define hh_religion
	1 "Hindu"
	2 "Muslim"
	3 "Sikh"
	4 "Others";
label values hh_religion hh_religion;

label variable originalplace "Place of birth";
label define originalplace
	1 "Gurgaon"
	2 "Other NCR"
	3 "Other Haryana"
	4 "Other states";
label values originalplace originalplace;

label variable nature_of_house "Nature of house";
label define nature_of_house
	1 "Kuccha"
	2 "Semi-pucca"
	3 "Pucca";
label values nature_of_house nature_of_house;

label variable surr_of_house "Surroundings of house";
label define surr_of_house
	1 "Clean"
	2 "average"
	3 "Dirty";
label values surr_of_house surr_of_house;

label variable rooms "Number of rooms in house";
label variable electricity "Whether has electricity";
label variable without_power "No of minutes without power";
label variable separate_kitchen "Whether separate kitchen";

label variable type_of_cooking "Fuel used for cooking";
label define type_of_cooking 
	1 "Ordinary chullah"
	2 "Smokeless chullah"
	3 "Kerosene"
	4 "LPG";
label values type_of_cooking type_of_cooking;

label variable outlet_in_kitchen "Whether exhaust fan in kitchen";

label variable type_of_house "Ownership of house";
label define type_of_house 
	1 "Own"
	2 "Rented"
	3 "Other";
label values type_of_house type_of_house;

label variable type_of_latrine "Latrine type";
label define type_of_latrine 
	1 "None"
	2 "Service latrine"
	3 "Flush"
	4 "Other";
label values type_of_latrine type_of_latrine;

label variable wastes_discharging "Sewerage type";
label define wastes_discharging 
	1 "sewer system"
	2 "septic tank"
	3 "pit"
	4 "drain or river"
	5 "don't know";
label values wastes_discharging wastes_discharging;

label variable distance_of_latrine "Distance to latrine";
label define distance_of_latrine 
	1 "within dwelling"
	2 "outside dwelling but within premises"
	3 "outside premises but within 1/2 km"
	4 "outside premises but more than 1/2 km";
label values distance_of_latrine distance_of_latrine;

label variable garbage_collection "Nature of garbage collection";
label define garbage_collection 
	1 "local authority"
	2 "private arrangement among community members"
	3 "hh members"
	4 "others";
label values garbage_collection garbage_collection;

label variable freq_of_garb_clearance "Frequency of garbage collection";
label define freq_of_garb_clearance 
	1 "daily"
	2 "not daily but once a week"
	3 "not even once a week"
	4 "don't know";
label values freq_of_garb_clearance freq_of_garb_clearance;

label variable concerned "Whether concerned about flies, mosquitoes";

label variable ready_to_contribute "Whether contribute to clean neighbourhood";
label define ready_to_contribute 
	1 "no"
	2 "yes:both money & labor"
	3 "yes:labor";
label values ready_to_contribute ready_to_contribute;

label variable shifted_2nd "whether the household had shifted or not in the second visit";

save, replace;

/***************************page 16_17*****************************/;
use page16_17;
capture label drop _all;

label variable usual_activity "Usual activity of the head of household"; 
label define usual_activity_lbl
	1 "govt service"
	2 " private service"
	3 "self employment"
	4 "unemployed"
	5 "others";
label values  usual_activity  usual_activity_lbl;

label variable treatment "Nature of treatment used to cure diarrhea";
label define treatment_lbl
	1 "ORS"
	2 "tablets/syrup"
	3 "injection"
	4 "drip"
	5 "salt water solution at home"
	6 "ayurvedic"
	7 "others"
	8 "no treatment";
label values treatment  treatment_lbl;

label variable treat_place "Place of treatment";
label define treat_place_lbl
	1 "Public "
	2 "NGO"
	3 "private doctor(MBBS)"
	4 "private doctor (not MBBS)"
	5 "private non-allopathic"
	6 "others";
label values treat_place treat_place_lbl;

label variable exposure_school "Exposure to cleanliness programmes at school";
label define exposure_school 
	0 "No exposure" 
	1 "Exposure"
	999 "Don't know";
label values exposure_school exposure_school;

label variable attend_school " Whether the kids currently attend school";
label define attend_school 
	0 "Yes" 
	1 "No";
label values attend_school attend_school;

label variable gen_edu "Completed educational grade of household member";
label define gen_edu_lbl
	0 "illterate or below class 1"
	99 " literate with non formal education"
	1 " upto class 1"
	2 "upto class 2"
	3 "upto class  3"
	4 "upto class  4"
	5 "upto class  5"
	6 "upto class  6"
	7 "upto class 7"
	8 "upto class  8"
	9 "upto class  9"
	10 "upto class 10"
	11 "upto class  11"
	12 "upto class  12"
	13 "diploma and certificate + class 12"
	14 " graduate & above";
label values gen_edu gen_edu_lbl;

label variable tech_edu "Technical education of household member";
label define tech_edu_lbl
	0 "No technical education"
	1 " MBBS & above"
	2 "nursing"
	3 "Non allopathic"
	4 "other medical";
label values tech_edu tech_edu_lbl;

label variable marital_status "Marital status of household member";
label define marital_status_lbl
	1 "married"
	2 "unmarried"
	3 "divorcee"
	4 "widower";
label values marital_status marital_status_lbl;
  
label variable reln_hh "Relation of household member to household head";
label define reln_hh_lbl
	1 "head"
	2 "spouse of head/husband"
	3 "married child"
	4 "unmarried child/ married child's wife/husband"
	5 "granchild"
	6 "father/mother/father-in-law/ mother-in-law"
	7 "brother/sister/brother-in-law/ sister-in-law/others"
	8 "servant/employee/others";
label values reln_hh reln_hh_lbl;

label variable sex "Gender of household member";
label define  sex_lbl
	1 "male"
	2 "female";
label values sex sex_lbl;
save, replace;
drop _all;

log close ;
